Download it now!
Bug 90908 - FILESAVE: XLSX wrong export of font size 18
Summary: FILESAVE: XLSX wrong export of font size 18
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: Other All
: medium normal
Assignee: Priyanka Gaikwad
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-28 08:11 UTC by Priyanka Gaikwad
Modified: 2015-05-11 09:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
.xlsx with font size 18 (9.65 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-04-28 08:11 UTC, Priyanka Gaikwad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Priyanka Gaikwad 2015-04-28 08:11:49 UTC
Created attachment 115154 [details]
.xlsx with font size 18

Problem description: 
Wrong export of font size 18 for the text inside textbox

Steps to reproduce:
1. Open .pptx (attached)
2. Save as .pptx
3. Open saved pptx

Current behavior:
The 'sz' tag was not exported

Expected behaviour:
After RT 'sz' tag should export with value 18

For pptx default font size is 18 whereas for docx and xlsx it is 11
Comment 1 raal 2015-04-28 09:29:46 UTC
Attached file is xlsx, not pptx.
Comment 2 raal 2015-04-28 09:34:12 UTC
I can confirm with attached xlsx file, after save is font size changed from 18 to 12.
LO 4.4.2.2, win7
Comment 3 Commit Notification 2015-04-30 03:05:51 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d341d28f73603670e3b8c639c583229d3c723a6

tdf#90908 : FILESAVE: XLSX wrong export of font size 18

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Akshay Anand 2015-05-11 08:43:00 UTC
Verified on LO Windows build ID: 

Version: 5.0.0.0.alpha1+
Build ID: 5984cc83fe756f7483d1ac582b8adbef5042be8b
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-07_05:11:59
Locale: en-US (en_US)

Issue has been fixed. Font size is getting exported correctly.